package com.ruoyi.project.production.service;

import java.util.List;
import com.ruoyi.project.production.domain.TPrdRecordItem;

/**
 * 生产记录详情Service接口
 *
 * @author ssy
 * @date 2024-10-10
 */
public interface ITPrdRecordItemService
{
    /**
     * 查询生产记录详情
     *
     * @param id 生产记录详情ID
     * @return 生产记录详情
     */
    public TPrdRecordItem selectTPrdRecordItemById(Long id);

    /**
     * 查询生产记录详情列表
     *
     * @param tPrdRecordItem 生产记录详情
     * @return 生产记录详情集合
     */
    public List<TPrdRecordItem> selectTPrdRecordItemList(TPrdRecordItem tPrdRecordItem);

    /**
     * 新增生产记录详情
     *
     * @param tPrdRecordItem 生产记录详情
     * @return 结果
     */
    public int insertTPrdRecordItem(TPrdRecordItem tPrdRecordItem);

    /**
     * 修改生产记录详情
     *
     * @param tPrdRecordItem 生产记录详情
     * @return 结果
     */
    public int updateTPrdRecordItem(TPrdRecordItem tPrdRecordItem);

    /**
     * 批量删除生产记录详情
     *
     * @param ids 需要删除的生产记录详情ID
     * @return 结果
     */
    public int deleteTPrdRecordItemByIds(Long[] ids);

    /**
     * 删除生产记录详情信息
     *
     * @param id 生产记录详情ID
     * @return 结果
     */
    public int deleteTPrdRecordItemById(Long id);
}
